--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: Make sure the trust directory exists. If it does exist, make sure it's actually a directory. If not, then create it with the appropriate permissions.
full_name: Gem::Security::verify_trust_dir
is_singleton: true
name: verify_trust_dir
params: (path, perms)
visibility: public
